﻿using UnityEngine;
using System.Collections;

public class KnockOver : Location
{
	public Rigidbody2D m_objectToKnockOver;

	public Vector2 m_force = new Vector2(100.0f,0.0f);
	public float m_torque = 15.0f;

	public override void OnTriggerEnter2D(Collider2D other)
	{
		base.OnTriggerEnter2D(other);
	}
	
	public override void OnTriggerStay2D(Collider2D other)
	{
		base.OnTriggerStay2D(other);
		
		if(m_runOnce)
		{
			if(!m_ran)
			{
				if(m_actionAwaitingProcessing)
				{
					if(m_actionName == "KnockOver")
					{
						if(other.gameObject == m_cat.gameObject)
						{
							m_actionAwaitingProcessing = false;

							m_cat.m_catiitudePoints += m_pointsAwarded;
							//m_objectToKnockOver.isKinematic = false;
							m_objectToKnockOver.AddForce(m_force);
							m_objectToKnockOver.AddTorque(m_torque);
							
							if(m_runOnce)
							{
								m_ran = true;
							}
						}
					}
				}
			}
		}
		else
		{
			if(m_actionAwaitingProcessing)
			{


				if(m_actionName == "KnockOver")
				{
					if(other.gameObject == m_cat.gameObject)
					{
						m_actionAwaitingProcessing = false;

						m_cat.m_catiitudePoints += m_pointsAwarded;
						//m_objectToKnockOver.isKinematic = false;
						m_objectToKnockOver.AddForce(m_force);
						m_objectToKnockOver.AddTorque(m_torque);
						//Invoke ("SetIsKinematic",1.0f);
					}
				}
			}
		}
	}

	void SetIsKinematic()
	{
		m_objectToKnockOver.isKinematic = true;
	}
}
