﻿using UnityEngine;
using System.Collections;

public class PoopLocation : Location
{
	public override void OnTriggerEnter2D(Collider2D other)
	{
		base.OnTriggerEnter2D(other);

		if(m_runOnce)
		{
			if(!m_ran)
			{
				if(other.gameObject.tag == "Poop")
				{
					m_cat.m_catiitudePoints += m_pointsAwarded;

					Color c = m_renderer.color;
					c.a = 0;
					m_renderer.color = c;
					
					if(m_runOnce)
					{
						m_ran = true;
					}
				}
			}
		}
		else
		{
			if(other.gameObject.tag == "Barf")
			{
				m_cat.m_catiitudePoints += m_pointsAwarded;

				Color c = m_renderer.color;
				c.a = 0;
				m_renderer.color = c;
			}
		}
	}

	public override void OnTriggerStay2D(Collider2D other)
	{
		base.OnTriggerStay2D(other);
	}
}
