﻿using UnityEngine;
using System.Collections;

public class SleepLocation : Location
{
	public override void OnTriggerEnter2D(Collider2D other)
	{
		base.OnTriggerEnter2D(other);
	}
	
	public override void OnTriggerStay2D(Collider2D other)
	{
		base.OnTriggerStay2D(other);
		
		if(m_runOnce)
		{
			if(!m_ran)
			{
				if(m_actionAwaitingProcessing)
				{
					m_actionAwaitingProcessing = false;
					
					if(m_actionName == "Sleep")
					{
						if(other.gameObject == m_cat.gameObject)
						{
							m_cat.m_catiitudePoints += m_pointsAwarded;
							
							if(m_runOnce)
							{
								m_ran = true;
							}
						}
					}
				}
			}
		}
		else
		{
			if(m_actionAwaitingProcessing)
			{
				m_actionAwaitingProcessing = false;
				
				if(m_actionName == "Sleep")
				{
					if(other.gameObject == m_cat.gameObject)
					{
						m_cat.m_catiitudePoints += m_pointsAwarded;
					}
				}
			}
		}
	}
}
